2019-08-26 09:21 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000391mercuryBugpublic2015-09-18 17:33
Reporterwangp 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000391: trace conditions lost in .opt files
DescriptionConditions on trace goals are not written out to .opt files, thus trace goals may be executed when their conditions are not met.

The .opt file for the attached module includes:

require_lt.require_lt(A_3, B_4) :-
    (
      % trace
      % compiletime(flag(checks))
      % quantified vars
      require_lt.require_lt0(A_3, B_4)
    ).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000849

zs (developer)

Fix was committed 14 aug 2015.
+Notes

-Issue History
Date Modified Username Field Change
2015-08-14 16:56 wangp New Issue
2015-08-14 16:56 wangp File Added: require_lt.m
2015-08-14 17:53 zs Assigned To => zs
2015-08-14 17:53 zs Status new => assigned
2015-09-18 17:33 zs Note Added: 0000849
2015-09-18 17:33 zs Status assigned => resolved
2015-09-18 17:33 zs Resolution open => fixed
+Issue History